Subject: Re: [PATCH] powerpc: make U4 PCIe work

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 06 Oct 2006 08:10:26 +1000

> Do the changes to fixup_maple_ide have anything to do with the rest of
> the patch?  It's not clear from your description.  And with that last
> hunk the function now appears to do nothing.

Hrm... I could split that indeed. The last bits to fixup_maple_ide()
should no longer be necessary. They used to work around broken PIBS but
that should have been fixed a long time ago.

> Could we consider merging the powermac and maple pci code into a
> common location that would be used by both platforms?  There's quite a
> bit of code duplication going on here...

A bit but not exactly... I may do it but just not right now.

Ben.